diff --git a/src/backend/catalog/Catalog.pm b/src/backend/catalog/Catalog.pm
index 2889cb9..07bd5f3 100644
--- a/src/backend/catalog/Catalog.pm
+++ b/src/backend/catalog/Catalog.pm
@@ -196,7 +196,7 @@ sub ParseHeader
 					else
 					{
 						die
-						  "unknown column option $attopt on column $attname";
+						  "unknown or misformatted column option $attopt on column $attname";
 					}
 
 					if ($column{forcenull} and $column{forcenotnull})
diff --git a/src/backend/catalog/genbki.pl b/src/backend/catalog/genbki.pl
index fb61db0..ebdc919 100644
--- a/src/backend/catalog/genbki.pl
+++ b/src/backend/catalog/genbki.pl
@@ -357,8 +357,7 @@ EOM
 		}
 
 		# Emit Anum_* constants
-		print $def
-		  sprintf("#define Anum_%s_%s %s\n", $catname, $attname, $attnum);
+		printf $def "#define Anum_%s_%s %s\n", $catname, $attname, $attnum;
 	}
 	print $bki "\n )\n";
 
@@ -493,7 +492,7 @@ EOM
 	}
 
 	print $bki "close $catname\n";
-	print $def sprintf("\n#endif\t\t\t\t\t\t\t/* %s_D_H */\n", uc $catname);
+	printf $def "\n#endif\t\t\t\t\t\t\t/* %s_D_H */\n", uc $catname;
 
 	# Close and rename definition header
 	close $def;
diff --git a/src/backend/utils/Gen_fmgrtab.pl b/src/backend/utils/Gen_fmgrtab.pl
index 5fd5313..6c9f1a7 100644
--- a/src/backend/utils/Gen_fmgrtab.pl
+++ b/src/backend/utils/Gen_fmgrtab.pl
@@ -117,8 +117,8 @@ open my $pfh, '>', $protosfile . $tmpext
 open my $tfh, '>', $tabfile . $tmpext
   or die "Could not open $tabfile$tmpext: $!";
 
-print $ofh
-  qq|/*-------------------------------------------------------------------------
+print $ofh <<OFH;
+/*-------------------------------------------------------------------------
  *
  * fmgroids.h
  *    Macros that define the OIDs of built-in functions.
@@ -152,10 +152,10 @@ print $ofh
  *	its equivalent macro will be defined with the lowest OID among those
  *	entries.
  */
-|;
+OFH
 
-print $pfh
-  qq|/*-------------------------------------------------------------------------
+print $pfh <<PFH;
+/*-------------------------------------------------------------------------
  *
  * fmgrprotos.h
  *    Prototypes for built-in functions.
@@ -178,10 +178,10 @@ print $pfh
 
 #include "fmgr.h"
 
-|;
+PFH
 
-print $tfh
-  qq|/*-------------------------------------------------------------------------
+print $tfh <<TFH;
+/*-------------------------------------------------------------------------
  *
  * fmgrtab.c
  *    The function manager's table of internal functions.
@@ -206,7 +206,7 @@ print $tfh
 #include "utils/fmgrtab.h"
 #include "utils/fmgrprotos.h"
 
-|;
+TFH
 
 # Emit #define's and extern's -- only one per prosrc value
 my %seenit;
@@ -280,8 +280,8 @@ print $tfh "};\n";
 
 
 # And add the file footers.
-print $ofh "\n#endif /* FMGROIDS_H */\n";
-print $pfh "\n#endif /* FMGRPROTOS_H */\n";
+print $ofh "\n#endif\t\t\t\t\t\t\t/* FMGROIDS_H */\n";
+print $pfh "\n#endif\t\t\t\t\t\t\t/* FMGRPROTOS_H */\n";
 
 close($ofh);
 close($pfh);
diff --git a/src/include/catalog/reformat_dat_file.pl b/src/include/catalog/reformat_dat_file.pl
index 00c4f2b..7f6dc6e 100755
--- a/src/include/catalog/reformat_dat_file.pl
+++ b/src/include/catalog/reformat_dat_file.pl
@@ -125,7 +125,6 @@ foreach my $catname (@catnames)
 	open my $dat, '>', $datfile
 	  or die "can't open $datfile: $!";
 
-	# Write the data.
 	foreach my $data (@{ $catalog_data{$catname} })
 	{
 
